org.apache.commons.math3.optimization

## Enum GoalType

- java.lang.Object
- - java.lang.Enum<GoalType>
  - - org.apache.commons.math3.optimization.GoalType

- All Implemented Interfaces:
    Serializable, Comparable<GoalType>

      public enum GoalType
      extends Enum<GoalType>
      implements Serializable

  Goal type for an optimization problem.
  Since:
    2.0
  Version:
    $Id: GoalType.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAXIMIZE` Maximization goal.
    `MINIMIZE` Minimization goal.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GoalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GoalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAXIMIZE

          public static final GoalType MAXIMIZE

      Maximization goal.

    - #### MINIMIZE

          public static final GoalType MINIMIZE

      Minimization goal.

  - ### Method Detail

    - #### values

          public static GoalType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GoalType c : GoalType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GoalType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.